Redmine - Defect #42084

Placeholder icon for non-existent thumbnail flickers rapidly on hover
2025-01-09 09:57 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 6.0.3

Resolution: Fixed Affected version: 6.0.2
Description

When hovering the mouse cursor over a thumbnail image, the thumbnail image repeatedly appears and disappears.
before-thumbnail.gif

Affected Browsers:
Chrome, Edge

Cause:

In Chrome and Edge, if the image in an “img’ tag is not displayed, the browser uses the "title” attribute to show a description of the
file. When the mouse hovers over the icon, the tooltip feature clears the “title™ attribute, causing the file description to appear and
disappear repeatedly.

Related issues:
Related to Redmine - Feature #41272: Improve tooltip positioning for thumbnails Closed

Related to Redmine - Feature #42133: Refactor thumbnail markup for improved s... Closed

Associated revisions

Revision 23452 - 2025-01-21 09:58 - Go MAEDA

Fix rapid flickering of placeholder icon for non-existent thumbnails on hover (#42084).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23459 - 2025-01-22 03:55 - Go MAEDA
Merged r23452 from trunk to 6.0-stable (#42084).

History

#1 - 2025-01-09 10:03 - Mizuki ISHIKAWA
- File quick-workaround.diff added

Adding the alt attribute solves this problem. However, it seems that putting the filename in the alt attribute of the image is not recommended from an
accessibility standpoint. https://developer.mozilla.org/en-US/docs/Web/HTML/Element/img#accessibility

If you have a better idea, please let me know.

#2 - 2025-01-13 17:15 - Katsuya HIDAKA

- File Move-tooltip-from-image-to-thumbnail-element.patch added
- File result1-for-move-tooltip-patch.png added

- File result2-for-move-tooltip-patch.png added

| have attached a different approach as a patch.

This patch adds a tooltip (title attribute) to the thumbnail element (which contains both the image and the button). Additionally, this patch adds an alt
attribute to the image, as the documentation states that the alt attribute is required for the img tag.

As a result of applying this patch:
https://developer.mozilla.org/en-US/docs/Web/HTML/Element/img#accessibility
https://developer.mozilla.org/ja/docs/Web/HTML/Element/img

result1-for-move-tooltip-patch.png
result2-for-move-tooltip-patch.png
What do you think?
#3 - 2025-01-15 03:34 - Go MAEDA
- Status changed from New to Confirmed

- Target version set to 6.0.3

Setting the target version to 6.0.3.

#4 - 2025-01-16 00:46 - Go MAEDA
- Target version changed from 6.0.3 to 6.1.0
Yesterday, | set the target version of this patch to 6.0.3, but after reviewing the content again, | decided to change the target version to 6.1.0.

This patch modifies the DOM structure of the thumbnail display area, which could potentially affect custom themes and plugins. Therefore, | believe it
is not suitable to include this in a maintenance release like 6.0.3.

#5 - 2025-01-16 06:46 - Go MAEDA
- Target version changed from 6.1.0 to 6.0.3

| suggest committing quick-workaround.diff from #note-1, which avoids DOM changes, to version to the 6.0-stable branch for version 6.0.3, and
Move-tooltip-from-image-to-thumbnail-element.patch from #note-2, which follows web standards but changes the DOM, to the trunk for version 6.1.0.

#6 - 2025-01-21 09:51 - Go MAEDA

- Subject changed from Display breaks when hovering over an img tag with a non-existent thumbnail image to Placeholder icon for non-existent
thumbnail flickers rapidly on hover

#7 - 2025-01-21 09:59 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

| have committed quick-workaround.diff in r23452. Thank you for your contribution.

#8 - 2025-01-21 10:12 - Go MAEDA
- Related to Feature #41272: Improve tooltip positioning for thumbnails added

#9 - 2025-01-21 10:46 - Go MAEDA

I have just opened #42133 to handle Katsuya HIDAKA's Move-tooltip-from-image-to-thumbnail-element.patch.

#10 - 2025-01-21 10:46 - Go MAEDA

- Related to Feature #42133: Refactor thumbnail markup for improved structure and semantics added

#11 - 2025-01-22 03:57 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23459.

The another patch Move-tooltip-from-image-to-thumbnail-element.patch will be handled in #42133.

Files

before-thumbnail.gif 509 KB 2025-01-09 Mizuki ISHIKAWA
quick-workaround.diff 1.16 KB 2025-01-09 Mizuki ISHIKAWA
Move-tooltip-from-image-to-thumbnail-element.patch 3.8 KB 2025-01-13 Katsuya HIDAKA
result2-for-move-tooltip-patch.png 83.2 KB 2025-01-13 Katsuya HIDAKA
result1-for-move-tooltip-patch.png 75.8 KB 2025-01-13 Katsuya HIDAKA
